%define upstream_name 	 Tk-TableMatrix
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tk-TableMatrix perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://cpan.org/authors/id/C/CE/CERNEY/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Tk) >= 800.22.0
BuildRequires: perl-Tk-devel
BuildRequires: perl-devel
BuildRequires: libx11-devel

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:    Tk::TableMatrix modules for Perl (development package)
Group:      Development/C
Requires:   %{name} = %{version}

%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# DISABLE the check for now. It's won't work with build bots. 20061104.SE
#XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
#{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
#export DISPLAY=:$XDISPLAY
#xauth add $DISPLAY . EE
#{__make} test

#xauth remove $DISPLAY
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
%makeinstall_std

# 20070818 remove file owned by perl-Tk-804.027-7mdv2007.0.i586
rm -rf %{buildroot}/%{perl_vendorarch}/Tk/pTk/extralibs.ld

%files
%doc COPYING ChangeLog Changes MYMETA.yml README demos
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/Tk/TableMatrix*
%{_mandir}/*/*

%files devel
%doc README Changes
%{perl_vendorarch}/Tk/pTk


%changelog

* Sun Dec 11 2011 jquelin <jquelin> 1.230.0-4.mga2
+ Revision: 180672
-devel package shouldn't ship the modules themselves (mga#3709)

* Thu Sep 29 2011 fwang <fwang> 1.230.0-3.mga2
+ Revision: 150195
- tighten br

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-2.mga2
+ Revision: 105091
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 34409
- mageia rebuild
- imported package perl-Tk-TableMatrix

